### Signal

# Pos Completer::update

since: 0

#### Declaration

    void
    update (
      PosCompleter* self,
      gchar* string,
      guint before,
      guint after,
      gpointer user_data
    )

#### Description [src]

The completer changed it’s preedit to the given string and wants the given number of bytes before and after the preedit removed.

The completer must emit the signal before the corresponding `notify::preedit` TODO: add marshallers.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 0

#### Parameters

`string`

  Type: `gchar*`

  The new preedit string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`before`

  Type: `guint`

  Number of bytes before the cursor to delete.

`after`

  Type: `guint`

  Number of bytes after the cursor to delete.